import { EffectCallback } from 'react';
export interface AppActiveIntervalOptions {
    /**
     * setInterval 是否启用
     * @default true
     */
    enabled?: boolean;
}
export interface AppActiveInterval {
    /**
     * 设置 setInterval 是否启用
     * @param {boolean} enabled
     */
    setEnabled: (enabled: boolean) => void;
}
declare const _default: (effect: EffectCallback, ms: number, options?: AppActiveIntervalOptions) => AppActiveInterval;
/**
 * App 定时器，App 活跃时激活，App 后台运行时停止
 * @param {function} effect 事件
 * @param {number} ms 毫秒
 * @param {object} options
 * @param {boolean} options.enabled 是否启用 default true
 * @public
 */
export default _default;
