import { useRef } from 'react';
import { DeviceEventEmitter } from 'react-native';
import { useRoute } from '@react-navigation/native';
import { useLoad, useUnload } from 'react-native-lifecycle';
/**
 * 页面级事件订阅
 * @param {string} eventType 事件名称
 * @param {function} effect 订阅事件
 * @public
 */
export default (eventType, effect) => {
    const route = useRoute();
    const emitterSubscription = useRef(null);
    eventType = `${route.key}__${eventType}`;
    useLoad(() => {
        if (typeof effect === 'function') {
            emitterSubscription.current = DeviceEventEmitter.addListener(eventType, effect);
        }
    });
    useUnload(() => {
        var _a;
        if (typeof effect === 'function') {
            if (typeof DeviceEventEmitter.removeListener === 'function') {
                DeviceEventEmitter.removeListener(eventType, effect);
            }
            else {
                (_a = emitterSubscription.current) === null || _a === void 0 ? void 0 : _a.remove();
            }
        }
    });
    return {
        emit: () => DeviceEventEmitter.emit(eventType),
    };
};
